#
# spec file for package python-killswitch
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-killswitch
Version:        0.4
Release:        7.2
Summary:        Python module providing functions for killswitches
License:        WTFPL
Group:          Development/Languages/Python
Source:         python-killswitch-%{version}.tar.gz
Url:            http://blog.homac.de
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Requires:       urfkill

%description
python-killswitch provides a python module called killswitch. It provides
convenient function/methods for other applications to manage all the
killswitches found in the system. See 'pydoc killswitch.py' for more
information

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%{python_sitelib}

%changelog
* Fri Feb 21 2014 p.drouand@gmail.com
- Package COPYING and README in documentation
- Remove depreciated macros
- Remove --record-list option and add %%{python_sitelib} in %%files
  instead
* Thu Feb 20 2014 coolo@suse.com
- remove SUSE prefix from license
* Mon Oct 15 2012 hmacht@suse.de
- update to version 0.4: Update to new URfkill API (bnc#734894)
* Mon Aug 13 2012 hmacht@suse.de
- add urfkill as package requirement (bnc#734894)
* Thu Jun 14 2012 cfarrell@suse.com
- license update: SUSE-WTFPL-2.0
  SPDX format (WTFPL is not on spdx.org/licenses - so choose from the
  spreadsheet linked at license.opensuse.org)
* Fri Mar 11 2011 hmacht@suse.de
- update to version 0.3: python-killswitch now supports both HAL
  and/or URfkill as backends
* Fri Apr  9 2010 hmacht@suse.de
- bump to version 0.2: Only enumerate static and real killswitches
* Wed Mar 31 2010 alexandre@exatati.com.br
- Building as noarch for openSUSE >= 11.2;
- Spec file cleaned with spec-cleaner and also done manual changes.
* Tue Mar 30 2010 hmacht@suse.de
- initial import of version 0.1
